Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001661KdenliveUser Interfacepublic2010-06-16 10:262011-06-10 10:48
Reporterglyph8 
Assigned Tottill 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSUbuntu LinuxOS Version10.04
Product Version0.7.7.1 
Target VersionFixed in Version0.8 
Summary0001661: DVD menu with >9 chapters
DescriptionI have struck a problem with DVDs produced by the DVD Wizard (I am filing this bug under "User Interface" as I could not find a category for the DVD Wizard).
With DVD in a player (I tested in two players), and using the up/down arrows to navigate the menu, the active button does not sequence through the list of chapters correctly, if there are more than 9 chapters.
For example, with 11 chapters, starting at "Play all" and pressing the down button, the highlighted button goes in the sequence 1, 10, 11, 2, 3, 4, etc. This looks suspiciously like a sort order problem (i.e. ASCII/alpha rather than human/natural sorting).
As I don't know in detail how the Wizard interfaces with dvdauthor, I thought at this point I will hand it over to the developers to have a closer look! The bug does seem to be repeatable as it did the same thing a 2nd and 3rd time (and in the end, as a workaround, I deleted chapters until I had only 9, but would like to be able to have more than that).
thanks
Steps To ReproduceUse Kdenlive DVD Wizard to create a DVD with 10 or more chapters, and have at least one menu button in the 2-digit range. Then play DVD and use up/down arrows on remote. Button selection does not follow expected up/down sequence.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0006197)
pikapika (reporter)
2010-12-23 21:53

Workaround:

open the project.kdvd file with e.g. gedit.

Replace the value of the command attribute

command="jump title 1 chapter 1"

with

command="jump title 1 chapter 01"

in the button tag. "chapter 2" with "chapter 02" ... up to "chapter 9"

(I also started numbering the targets with 10)

So the entry for the first buttons show something like:

  <button target="10" posx="38" posy="160" command="jump title 1 chapter 01" backtomenu="0" font_family="Sans Serif" text="01 title 1" font_size="24"/>

 <button target="11" posx="38" posy="200" command="jump title 1 chapter 02" backtomenu="0" font_family="Sans Serif" text="02 title 2" font_size="24"/>

  <button target="12" posx="38" posy="240" command="jump title 1 chapter 03" backtomenu="0" font_family="Sans Serif" text="03 title 3" font_size="24"/>
...
  <button target="18" posx="38" posy="480" command="jump title 1 chapter 09" backtomenu="0" font_family="Sans Serif" text="09 title 9" font_size="24"/>

  <button target="19" posx="405" posy="160" command="jump title 1 chapter 10" backtomenu="0" font_family="Sans Serif" text="10 title 10" font_size="24"/>
(0006199)
ttill (developer)
2010-12-23 23:59

Should be fixed in the latest development version (svn rev. 5192).
Thanks for your infos and your research.

- Issue History
Date Modified Username Field Change
2010-06-16 10:26 glyph8 New Issue
2010-12-23 21:53 pikapika Note Added: 0006197
2010-12-23 23:40 ttill Assigned To => ttill
2010-12-23 23:40 ttill Status new => assigned
2010-12-23 23:59 ttill Note Added: 0006199
2010-12-23 23:59 ttill Status assigned => feedback
2011-01-03 18:49 ttill Status feedback => resolved
2011-01-03 18:49 ttill Resolution open => fixed
2011-01-03 18:49 ttill Fixed in Version => Recent git
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:48 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker